import { Interpolation, Theme } from '@emotion/react';
import React from 'react';
type InlineEditProps = {
    text: string;
    onSetText: (text: string) => void;
    placeholder?: string;
    styles?: {
        placeholderColor: string;
    };
    handleStyle?: (isFocus: boolean) => Interpolation<Theme>;
    inputCss?: Interpolation<Theme>;
    autoRow?: boolean;
    maxLength?: number;
};
declare const EditInlineInput: React.FC<InlineEditProps>;
export default EditInlineInput;
