import { FC, ReactNode } from 'react';
export type DropdownMenuItem = {
    label: string;
    shortcut?: string;
    action?: (...args: any[]) => void;
    icon?: ReactNode;
    type?: 'normal' | 'submenu' | 'divider' | 'groupname';
    items?: DropdownMenuItem[];
    disabled?: boolean;
    hint?: string;
};
interface Props {
    text: string | ReactNode;
    header?: ReactNode;
    items: DropdownMenuItem[];
}
declare const DropdownButton: FC<Props>;
export default DropdownButton;
