import { FC } from 'react';
import { BoxSize, Delta, GradientStyle, LayerComponentProps } from '../../types';
export interface FrameContentProps extends LayerComponentProps {
    clipPath: string;
    scale: number;
    gradientBackground: {
        colors: string[];
        style: GradientStyle;
    } | null;
    color: string;
    image: {
        boxSize: BoxSize;
        position: Delta;
        rotate: number;
        thumb: string;
        url: string;
    };
}
export declare const FrameContent: FC<FrameContentProps>;
