import { ChangeEventHandler, FocusEventHandler, SVGProps } from 'react';
interface SearchInputProps {
    searchString: string;
    setSearchString: ChangeEventHandler<HTMLInputElement>;
    setHighlightedItem: Function;
    eraseResults: Function;
    autoFocus: boolean;
    onFocus: FocusEventHandler<HTMLInputElement>;
    onClear: Function;
    placeholder: string;
    svgIcon?: SVGProps<SVGSVGElement>;
    showIcon: boolean;
    showClear: boolean;
    maxLength: number;
}
export default function SearchInput({ searchString, setSearchString, setHighlightedItem, eraseResults, autoFocus, onFocus, onClear, placeholder, svgIcon, showIcon, showClear, maxLength, }: SearchInputProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
