import { SVGProps } from 'react';
export type Item<T> = T & {
    [key: string]: any;
};
export interface ResultsProps<T> {
    results: Item<T>[];
    onClick: Function;
    highlightedItem: number;
    setHighlightedItem: Function;
    setSearchString: Function;
    formatResult?: Function;
    searchIcon?: SVGProps<SVGSVGElement> | null;
    maxResults: number;
    resultStringKeyName: string;
    showNoResultsFlag?: boolean;
    showNoResultsText?: string;
}
export default function Results<T>({ results, onClick, setSearchString, searchIcon, maxResults, resultStringKeyName, highlightedItem, setHighlightedItem, formatResult, showNoResultsFlag, showNoResultsText, }: ResultsProps<T>): import("@emotion/react/jsx-runtime").JSX.Element | null;
