import React, { PropsWithChildren } from 'react';
import type { TooltipContextData } from './TooltipProviderTypes';
/**
 * @deprecated Use the `data-tooltip-id` attribute, or the `anchorSelect` prop instead.
 * See https://react-tooltip.com/docs/getting-started
 */
declare const TooltipProvider: React.FC<PropsWithChildren<void>>;
export declare function useTooltip(tooltipId?: string): TooltipContextData;
export default TooltipProvider;
