/**
 * This function debounce the received function
 * @param { function } 	func				Function to be debounced
 * @param { number } 		wait				Time to wait before execut the function
 * @param { boolean } 	immediate		Param to define if the function will be executed immediately
 */
declare const debounce: (func: (...args: any[]) => void, wait?: number, immediate?: boolean) => (this: (...args: any[]) => void, ...args: any[]) => void;
export default debounce;
