import { FC, PropsWithChildren } from 'react';
import { GradientStyle } from '../../types';
interface ColorSettingsProps {
    colors: string[];
    gradient?: {
        colors: string[];
        style: GradientStyle;
    } | null;
    useGradient?: boolean;
    onChange: (color: string) => void;
    onClickCallback?: () => void;
    onChangeGradient?: (gradient: {
        colors: string[];
        style: GradientStyle;
    }) => void;
}
declare const ColorSettings: FC<PropsWithChildren<ColorSettingsProps>>;
export default ColorSettings;
