import { PageSize, Page as PageType } from '../../types';
import { FC } from 'react';
type PageSortableType = {
    items?: Array<PageType> | any;
    containerRef: React.MutableRefObject<null>;
    newItemIndex: number;
    activePage: number;
    scale: number;
    pageSize: PageSize;
    itemSize: PageSize;
    onSetText: (txt: string) => void;
    onChangePage: (index: number) => void;
    onAddNewPage: (index: number) => void;
    onDoubleClick: (index: number) => void;
    onChange: (change: {
        fromIndex: number;
        toIndex: number;
    }) => void;
};
declare const SortablePageSettings: FC<PageSortableType>;
export default SortablePageSettings;
