import { FC, PropsWithChildren } from 'react';
import { EditorConfig } from './EditorContext';
export type EditorProps = {
    data?: {
        name: string;
        editorConfig: any;
    };
    saving?: boolean;
    config: EditorConfig;
    onChanges: (changes: any) => void;
    onDesignNameChanges: (name: any) => void;
};
declare const CanvaEditor: FC<PropsWithChildren<EditorProps>>;
export default CanvaEditor;
