import React from 'react';
export interface PageProps {
    pageIndex: number;
    pageName: string;
    width: number;
    height: number;
    transform: {
        x: number;
        y: number;
        scale: number;
    };
    onMovePageUp: () => void;
    onMovePageDown: () => void;
}
declare const _default: React.ForwardRefExoticComponent<PageProps & React.RefAttributes<HTMLDivElement>>;
export default _default;
