import { EditorState, Layer, LayerId, LayerComponentProps } from '../../types';
export declare const QueryMethods: (state: EditorState) => {
    getPageSize(): import('../../types').BoxSize;
    serialize(): import('../../types').SerializedPage[];
    getLayers(pageIndex: number): import('../../types').Layers;
    getLayer<P extends LayerComponentProps>(pageIndex: number, layerId: LayerId): Layer<P> | undefined;
};
