/// <reference types="react" />
import { Delta } from '../../types';
type PopoverPlacement = 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'right' | 'right-start' | 'right-end' | 'left' | 'left-start' | 'left-end';
export interface PopoverProps {
    open: boolean;
    anchorEl: HTMLElement | null;
    placement: PopoverPlacement;
    onClose: () => void;
    offsets?: {
        [K in PopoverPlacement]?: Delta;
    };
}
declare const _default: import("react").ForwardRefExoticComponent<PopoverProps & {
    children?: import("react").ReactNode;
} & import("react").RefAttributes<HTMLDivElement>>;
export default _default;
