import * as React from 'react';
import PropTypes from 'prop-types';
export default function sortableElement(WrappedComponent: any, config?: {
    withRef: boolean;
}): {
    new (props: {
        item: any;
    } | Readonly<{
        item: any;
    }>): {
        componentDidMount(): void;
        componentDidUpdate(prevProps: any): void;
        componentWillUnmount(): void;
        register(): void;
        unregister(collection?: any): void;
        getWrappedInstance(): unknown;
        wrappedInstance: React.RefObject<unknown>;
        render(): import("@emotion/react/jsx-runtime").JSX.Element;
        context: unknown;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            item: any;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<{
            item: any;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            item: any;
        }>, prevState: Readonly<{}>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            item: any;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            item: any;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: {
        item: any;
    }, context: any): {
        componentDidMount(): void;
        componentDidUpdate(prevProps: any): void;
        componentWillUnmount(): void;
        register(): void;
        unregister(collection?: any): void;
        getWrappedInstance(): unknown;
        wrappedInstance: React.RefObject<unknown>;
        render(): import("@emotion/react/jsx-runtime").JSX.Element;
        context: unknown;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            item: any;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<{
            item: any;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            item: any;
        }>, prevState: Readonly<{}>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            item: any;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            item: any;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            item: any;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: any;
    contextType: React.Context<{
        manager: {};
    }>;
    propTypes: {
        index: PropTypes.Validator<number>;
        collection: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        disabled: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        collection: number;
    };
};
