import { RefObject } from 'react';
import { LayerId, BoxData } from '../types';
export declare const useSelectLayer: ({ frameRef, pageListRef, selectionBoxRef, }: {
    frameRef: RefObject<HTMLDivElement | null>;
    pageListRef: RefObject<HTMLDivElement[]>;
    selectionBoxRef: RefObject<HTMLDivElement | null>;
}) => {
    tmpSelected: {
        selectedPage: number;
        selectedLayers: Record<LayerId, BoxData>;
    } | undefined;
    onSelectStart: (e: MouseEvent) => void;
};
