import { Delta, BoxSize, LayerComponent } from '../types';
import { ImageContentProps } from '.';
export interface ImageLayerProps extends ImageContentProps {
    image: {
        url: string;
        thumb: string;
        position: Delta;
        rotate: number;
        boxSize: BoxSize;
        transparency?: number;
    };
}
declare const ImageLayer: LayerComponent<ImageLayerProps>;
export default ImageLayer;
