import { PropsWithChildren } from 'react';
import { LayerComponent } from '../types';
import { RootContentProps, ImageContentProps } from '.';
export interface RootLayerProps extends Omit<RootContentProps, 'image'> {
    image?: ImageContentProps['image'] | null;
}
declare const RootLayer: LayerComponent<PropsWithChildren<RootLayerProps>>;
export default RootLayer;
