import { FC } from 'react';
import { GradientStyle, LayerComponentProps, ShapeBorderStyle } from '../../types';
export interface ShapeContentProps extends LayerComponentProps {
    clipPath: string;
    scale: number;
    roundedCorners: number;
    gradientBackground: {
        colors: string[];
        style: GradientStyle;
    } | null;
    color: string;
    border: {
        style: ShapeBorderStyle;
        weight: number;
        color: string;
    } | null;
    shapeSize: {
        width: number;
        height: number;
    };
}
export declare const ShapeContent: FC<ShapeContentProps>;
