import { FC, PropsWithChildren } from 'react';
type CoordinatesType = {
    x: number;
    y: number;
} | null;
type DrapableProps = {
    onDrop: (pos: CoordinatesType) => void;
    onClick?: () => void;
};
declare const Draggable: FC<PropsWithChildren<DrapableProps>>;
export default Draggable;
