import type { IComputePositions } from './compute-positions-types';
export declare const computeTooltipPosition: ({ elementReference, tooltipReference, tooltipArrowReference, place, offset: offsetValue, strategy, middlewares, border, }: IComputePositions) => Promise<{
    tooltipStyles: {
        left: string;
        top: string;
    };
    tooltipArrowStyles: {};
    place: import("@floating-ui/utils").Placement;
} | {
    tooltipStyles: {};
    tooltipArrowStyles: {};
    place: "top" | "right" | "bottom" | "left" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-start" | "bottom-end" | "left-start" | "left-end";
}>;
