import { Layer, LayerComponentProps } from '../../../../types';
import { FC } from 'react';
type LayerSortableType = {
    items?: Array<Layer<LayerComponentProps>> | any;
    checkIsSelected: (layerId: string) => boolean;
    onSelectLayer: (layerId: string) => void;
    onOpenContextMenu: (e: React.MouseEvent) => void;
    onChange: (change: {
        layerId: string;
        fromIndex: number;
        toIndex: number;
    }) => void;
};
declare const SortableListLayer: FC<LayerSortableType>;
export default SortableListLayer;
